%define upstream_name    HTTP-DAV
%define upstream_version 0.48

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A WebDAV client library for Perl5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP) >= 5.480.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Time::Local)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::DOM)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
PerlDAV is a Perl library for modifying content on webservers using the WebDAV
protocol. Now you can LOCK, DELETE and PUT files and much more on a DAV-enabled
webserver.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
	
%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

# requires a "test server"...
#make test TEST_VERBOSE=1

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_bindir}/dave
%{_mandir}/*/*
%{perl_vendorlib}/HTTP

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.480.0-3.mga6
+ Revision: 1028435
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.480.0-2.mga6
+ Revision: 968660
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.480.0-1.mga6
+ Revision: 854168
- update to 0.48

* Wed Oct 15 2014 umeabot <umeabot> 0.470.0-5.mga5
+ Revision: 748595
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.470.0-4.mga5
+ Revision: 684998
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.470.0-3.mga4
+ Revision: 512127
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.470.0-2.mga3
+ Revision: 368261
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.470.0-1.mga3
+ Revision: 254999
- update to 0.47

* Wed Jan 25 2012 jquelin <jquelin> 0.460.0-1.mga2
+ Revision: 200889
- update to 0.46

* Mon Sep 26 2011 jquelin <jquelin> 0.450.0-1.mga2
+ Revision: 148098
- update to 0.45

* Tue Jun 21 2011 jquelin <jquelin> 0.440.0-1.mga2
+ Revision: 111424
- update to 0.44

* Tue Apr 12 2011 jquelin <jquelin> 0.430.0-1.mga1
+ Revision: 83770
- update to 0.43

* Wed Feb 16 2011 jquelin <jquelin> 0.420.0-1.mga1
+ Revision: 52501
- update to 0.42

* Sat Jan 22 2011 jquelin <jquelin> 0.410.0-1.mga1
+ Revision: 32076
- mageia rebuild
- imported package perl-HTTP-DAV


* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.410.0-1mdv2011.0
+ Revision: 561577
- update to 0.41

* Wed Jan 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-1mdv2010.1
+ Revision: 497001
- update to 0.40

* Sun Dec 13 2009 Jérôme Quelin <jquelin@mandriva.org> 0.390.0-1mdv2010.1
+ Revision: 478057
- update to 0.39

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.0
+ Revision: 395166
- update to 0.38
- using %%perl_convert_version
- fixed license field

* Wed Dec 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2009.1
+ Revision: 318256
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.31-5mdv2009.0
+ Revision: 223793
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.31-4mdv2008.1
+ Revision: 180410
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:33:28 (63277)
- rebuild

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:09:09 (62898)
- Import perl-HTTP-DAV

* Thu Jul 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.31-2mdv2007.0
- use %%mkrel
- added fixes from debian (P0)

* Wed Oct 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.31-1mdk
- initial Mandriva package

